Subject: bug#38309: Recent $EMACSLOADPATH changes crash gnome-session

From: Clément Lassieur <[email-masked]>
Date: Wed, 27 Nov 2019 15:15:37 +0100

Hi Maxim,

Maxim Cournoyer <[email-masked]> writes:

> I was ready to revert the changes when I saw a reply from Leo Prikler in
> this thread.  They had really good ideas that I believe fix the
> annoyances you reported about the recent changes, while preserving the
> new plus points (per profile management of Emacs packages, 'guix
> environment --ad-hoc' that works for Emacs, simplified build system).
>
> Perhaps you could try it out and see if it indeed fixes the problems you
> reported?

Sure!  I'll try this as soon as possible and get back to you.  Thank
you!

Clément